AnyHolder (Package com.ericsson.otp.ic version 4.2.26)
Keywords: com.ericsson.otp.ic.AnyHolder class

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ericsson.otp.ic
Class AnyHolder

    java.lang.Object
      com.ericsson.otp.ic.AnyHolder

    public final class AnyHolder

extends java.lang.Object

Holder class for Any, according to OMG-IDL java mapping.

Instead for _write,_read methods, the methods _marshal respective _unmarshal are used to denote the implementation difference.

Field Summary
`Any` | `value`

Constructor Summary
`AnyHolder()`
`AnyHolder(Any initial)`

Method Summary
`void` | `_marshal(com.ericsson.otp.erlang.OtpOutputStream out)` Marshal method for the Any class, encodes the Any object to the output stream.
`void` | `_unmarshal(com.ericsson.otp.erlang.OtpInputStream in)` Unmarshal method for the Any class, decodes an Any object from the stream and assigns it to the Holder value.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### value

    public Any value

Constructor Detail

### AnyHolder

    public AnyHolder()

### AnyHolder

    public AnyHolder(Any initial)

Method Detail

### _marshal

    public void _marshal(com.ericsson.otp.erlang.OtpOutputStream out)
                  throws java.lang.Exception

  Marshal method for the Any class, encodes the Any object to the output stream.

  Throws:
    `java.lang.Exception`

### _unmarshal

    public void _unmarshal(com.ericsson.otp.erlang.OtpInputStream in)
                    throws java.lang.Exception

  Unmarshal method for the Any class, decodes an Any object from the stream and assigns it to the Holder value.

  Throws:
    `java.lang.Exception`

Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1991-2007 Ericsson AB
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD